# Method: hashLists.batchGet

- [HTTP request](https://developers.google.com/safe-browsing/reference/rest/v5/hashLists/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/safe-browsing/reference/rest/v5/hashLists/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/safe-browsing/reference/rest/v5/hashLists/batchGet#body.request_body)
- [Response body](https://developers.google.com/safe-browsing/reference/rest/v5/hashLists/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/safe-browsing/reference/rest/v5/hashLists/batchGet#body.BatchGetHashListsResponse.SCHEMA_REPRESENTATION)

Gets multiple hash lists at once.

It is very common for a client to need to get multiple hash lists. Using this method is preferred over using the regular Get method multiple times.

This is a standard batch Get method as defined by <https://google.aip.dev/231> and the HTTP method is also GET.

### HTTP request

`GET https://safebrowsing.googleapis.com/v5/hashLists:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Required. The names of the particular hash lists. The list MAY be a threat list, or it may be the Global Cache. The names MUST NOT contain duplicates; if they did, the client will get an error. |
| `version[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The versions of the hash list that the client already has. If this is the first time the client is fetching the hash lists, the field should be left empty. Otherwise, the client should supply the versions previously received from the server. The client MUST NOT manipulate those bytes. The client need not send the versions in the same order as the corresponding list names. The client may send fewer or more versions in a request than there are names. However the client MUST NOT send multiple versions that correspond to the same name; if it did, the client will get an error. Historical note: in V4 of the API, this was called `states`; it is now renamed to `version` for clarity. A base64-encoded string. |
| `sizeConstraints` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v5/SizeConstraints`)`` The size constraints on each list. If omitted, there are no constraints. Note that the sizes here are per-list, not aggregated across all lists. |

### Request body

The request body must be empty.

### Response body

The response containing multiple hash lists.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hashLists": [ { object (`https://developers.google.com/safe-browsing/reference/rest/v5/hashList#HashList`) } ] } ``` |

| Fields ||
|---|---|
| `hashLists[]` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v5/hashList#HashList`)`` The hash lists in the same order given in the request. |